Subject: Re: Cygwin and X
From: Philippe Bertin <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 14 Jun 2004 21:02:00 +0200

Don't know,

Still seems a valid question for this list to me. It's still a cygwin- 
question, not so ? Erik can install Exceed on his PC, and use a 
graphical X11- environment (e.g. kde-cygwin) started from within Cygwin, 
and running on his Exceed X11- server, can't he ?

e.g.  (hypothesis shell == bash, PC running X11- server= bbbPC)
in Windows:
- activate your Exceed X11- server     (make sure every user can connect)
in Cygwin:
- export DISPLAY=bbbPC:0
- kmines &   (or some other graphical program)

There's a lot of other possible X11- configurations, this is just a 
(very) simple one. There's a lot more explanation to be found on such 
X11- issues and configuration in the different Linux HOWTO's, though ... 
(try www.tldp.org).

BUT, Erik, I would by far *not* exclude a WRONG DNS (be it client or 
server) setup for your computer (/network), as I  once had a similar 
performance issue indeed result in very poor X performance ... (and ... 
that was with ... Exceed)

Kind regards

Philippe

Brian Ford wrote:

>Since this is Cygwin/X related, you have chosen the wrong list to post to.
>Please read http://cygwin.com/lists.html for more information.  I have
>redirected this thread to the cygwin-xfree list.
>
>On Mon, 14 Jun 2004, Erik Abrahamsson wrote:
>
>  
>
>>Hi all!
>>I have been running Cygwin/X for some time, with very low performance.
>>In the Cygwin/X FAQ this is explained by the fact that I have a personal
>>firewall (in this case it's Zonealarm). It is also the process vsmon.exe
>>that is draining my system while using Cygwin/X. The solution to this
>>problem would be do disable the firewall, which is not an option on
>>Win2000 or XP...
>>    
>>
>
>Why is this not an option on Win2k or XP?
>
>  
>
>>Previously I used F-Secure with Himmingbird Exceed as X-server, without
>>any problems.
>>
>>So my question is: Is it possible to run Cygwin with the X-server of
>>your choice, which in my case is Exceed? What do I need to do?
>>    
>>
>
>Yes, and nothing but set your DISPLAY variable correctly.  You would get
>much more informative responses if you actually describe a particular
>problem you have when trying to do this.  Also, see
>http://cygwin.com/problems.html.
>
>  
>
>>I am quite familiar with win, but not *nix.
>>
>>Thank you for any help I can get!
>>
>>/Erik
>>    
>>
>
>  
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/